Name:          konversation
Version:       22.04.1
Release:       1mamba
Summary:       A KDE graphical Internet Relay Chat client (IRC)
Group:         Graphical Desktop/Applications/Internet
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://konversation.kde.org
Source:        https://download.kde.org/stable/release-service/%{version}/src/konversation-%{version}.tar.xz
Patch0:        konversation-1.3.1-fix-scroll_background.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt5Multimedia-devel
BuildRequires: libX11-devel
BuildRequires: libattica5-devel
BuildRequires: libgcc
BuildRequires: libkarchive-devel
BuildRequires: libkauth-devel
BuildRequires: libkbookmarks-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkcrash-devel
BuildRequires: libkdbusaddons-devel
BuildRequires: libkglobalaccel-devel
BuildRequires: libki18n-devel
BuildRequires: libkidletime-devel
BuildRequires: libkio-devel
BuildRequires: libkitemviews-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libknewstuff-devel
BuildRequires: libknotifications-devel
BuildRequires: libknotifyconfig-devel
BuildRequires: libkparts-devel
BuildRequires: libkservice-devel
BuildRequires: libktextwidgets-devel
BuildRequires: libkwallet-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: libkxmlgui-devel
BuildRequires: libqca-qt5-devel
BuildRequires: libsolid-devel
BuildRequires: libsonnet-devel
BuildRequires: libstdc++6-devel
BuildRequires: perl-devel
BuildRequires: qt5-qtbase-devel
## AUTOBUILDREQ-END
BuildRequires: cmake

%description
Konversation is a user-friendly Internet Relay Chat (IRC) client built on the KDE Platform.

Features:
Standard IRC features
SSL server support
Bookmarking support
Easy to use graphical user interface
Multiple servers and channels in one single window
DCC file transfer
Multiple identities for different servers
Text decorations and colors
OnScreen Display for notifications
Automatic UTF-8 detection
Per channel encoding support
Theme support for nick icons
Highly configurable

%debug_package

%prep
%setup -q
#%patch0 -p0

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_kde5_bindir}/konversation
%{_datadir}/metainfo/org.kde.konversation.appdata.xml
%{_kde5_xdgappsdir}/org.kde.konversation.desktop
%{_datadir}/dbus-1/services/org.kde.konversation.service
%{_kde5_datadir}/kconf_update/*.pl
%{_kde5_datadir}/kconf_update/konversation.upd
%dir %{_kde5_datadir}/konversation
%{_kde5_datadir}/konversation/scripts
%{_kde5_datadir}/konversation/themes
%dir %{_kde5_datadir}/konversation/scripting_support
%dir %{_kde5_datadir}/konversation/scripting_support/python
%dir %{_kde5_datadir}/konversation/scripting_support/python/konversation
%{_kde5_datadir}/konversation/scripting_support/python/konversation/*.py
%{_datadir}/knotifications5/konversation.notifyrc
%{_datadir}/knsrcfiles/konversation_nicklist_theme.knsrc
%{_datadir}/qlogging-categories5/konversation.categories
%{_kde5_htmldir}/*/konversation
%{_kde5_icondir}/hicolor/*x*/*/*.png
%doc AUTHORS LICENSES
#ChangeLog NEWS README TODO

%changelog
* Thu May 12 2022 Automatic Build System <autodist@mambasoft.it> 22.04.1-1mamba
- automatic version update by autodist

* Sun Apr 24 2022 Automatic Build System <autodist@mambasoft.it> 22.04.0-1mamba
- automatic version update by autodist

* Thu Mar 03 2022 Automatic Build System <autodist@mambasoft.it> 21.12.3-1mamba
- automatic version update by autodist

* Fri Feb 04 2022 Automatic Build System <autodist@mambasoft.it> 21.12.2-1mamba
- automatic version update by autodist

* Fri Jan 07 2022 Automatic Build System <autodist@mambasoft.it> 21.12.1-1mamba
- automatic version update by autodist

* Fri Dec 10 2021 Automatic Build System <autodist@mambasoft.it> 21.12.0-1mamba
- automatic version update by autodist

* Thu Nov 04 2021 Automatic Build System <autodist@mambasoft.it> 21.08.3-1mamba
- automatic version update by autodist

* Fri Oct 08 2021 Automatic Build System <autodist@mambasoft.it> 21.08.2-1mamba
- automatic version update by autodist

* Thu Sep 02 2021 Automatic Build System <autodist@mambasoft.it> 21.08.1-1mamba
- automatic version update by autodist

* Thu Aug 12 2021 Automatic Build System <autodist@mambasoft.it> 21.08.0-1mamba
- automatic version update by autodist

* Thu Jul 08 2021 Automatic Build System <autodist@mambasoft.it> 21.04.3-1mamba
- automatic version update by autodist

* Thu Jun 10 2021 Automatic Build System <autodist@mambasoft.it> 21.04.2-1mamba
- automatic version update by autodist

* Thu May 13 2021 Automatic Build System <autodist@mambasoft.it> 21.04.1-1mamba
- automatic version update by autodist

* Thu Apr 22 2021 Automatic Build System <autodist@mambasoft.it> 21.04.0-1mamba
- automatic version update by autodist

* Fri Mar 05 2021 Automatic Build System <autodist@mambasoft.it> 20.12.3-1mamba
- automatic version update by autodist

* Fri Feb 05 2021 Automatic Build System <autodist@mambasoft.it> 20.12.2-1mamba
- automatic version update by autodist

* Mon Jan 25 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 20.12.1-1mamba
- update to 20.12.1

* Mon Oct 26 2020 Automatic Build System <autodist@mambasoft.it> 1.7.7-1mamba
- automatic version update by autodist

* Tue Sep 29 2020 Automatic Build System <autodist@mambasoft.it> 1.7.6-1mamba
- automatic version update by autodist

* Wed Jun 27 2018 Automatic Build System <autodist@mambasoft.it> 1.7.5-1mamba
- automatic version update by autodist

* Thu Dec 21 2017 Automatic Build System <autodist@mambasoft.it> 1.7.4-1mamba
- automatic version update by autodist

* Tue Jun 27 2017 Automatic Build System <autodist@mambasoft.it> 1.7.2-1mamba
- automatic version update by autodist

* Thu Aug 04 2016 Automatic Build System <autodist@mambasoft.it> 1.6.2-1mamba
- automatic version update by autodist

* Wed Jul 27 2016 Automatic Build System <autodist@mambasoft.it> 1.6.1-1mamba
- automatic version update by autodist

* Tue May 12 2015 Automatic Build System <autodist@mambasoft.it> 1.6-1mamba
- automatic version update by autodist

* Fri Nov 07 2014 Automatic Build System <autodist@mambasoft.it> 1.5.1-1mamba
- automatic version update by autodist

* Wed Jan 22 2014 Automatic Build System <autodist@mambasoft.it> 1.5-1mamba
- automatic version update by autodist

* Sun Feb 05 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4-1mamba
- update to 1.4

* Sun Jan 16 2011 gil <puntogil@libero.it> 1.3.1-1mamba
- update to 1.3.1
- removed dependency: libart, libqt (3.x)

* Mon Jun 15 2009 Automatic Build System <autodist@mambasoft.it> 1.1-3mamba
- removed dependency on libxcb-xlib

* Fri Oct 10 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1-1mamba
- automatic update by autodist

* Sun Jul 08 2007 Tiziana Ferro <tiziana.ferro@email.it> 1.0.1-1mamba
- update to 1.0.1

* Tue Nov 22 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.18-1qilnx
- package created by autospec
